> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/live-data/live-data-golf-api-design/ld-golf-api-documentation/state-leaderboard-scoreboard-hole-by-hole/match-play-leaderboard.md).

# Match Play Leaderboard

### Overview

Use this endpoint to retrieve the current match play leaderboard.

It includes match-level standings and tournament score by squad.

**URL:** `GET https://{domain}/golf/rest/v1/tournaments/{tournament_id}/match-play-leaderboard`

### Path parameters

* `tournament_id`
  * type: integer
  * Tournament identifier.
  * example: `12345`

### Response example

{% code overflow="wrap" expandable="true" %}

```json
{
  "tournament_id": 12345,
  "sr_tournament_id": "sr:stage:12345",
  "tournament_status": "IN_PROGRESS",
  "current_round": 3,
  "timestamp": "2026-04-17T12:00:00Z",
  "round_statuses": [
    {
         "round_number": 1,
         "status": "ENDED"
      },
      {
         "round_number": 2,
         "status": "ENDED"
      },
      {
         "round_number": 3,
         "status": "IN_PROGRESS"
      },
      {
         "round_number": 4,
         "status": "NOT_STARTED"
      },
      {
         "round_number": 5,
         "status": "NOT_STARTED"
      }
  ],
  "matches": [
    {
      "match_id": 12345,
      "sr_match_id": "sr:match:12345",
      "course_id": 12345,
      "sr_course_id": "sr:venue:12345",
      "round_number": 2,
      "round_name": "Friday Foursomes",
      "match_status": "IN_PROGRESS",
      "start_hole": 1,
      "tee_time": "2026-04-17T13:10:00Z",
      "teams": [
        {
          "team_id": 22,
          "sr_team_id": "sr:competitor:22",
          "squad_id": 31,
          "sr_squad_id": "sr:competitor:31",
          "players": [
            {
              "player_id": 22,
              "sr_player_id": "sr:competitor:22",
              "country": "ENG",
              "display_name": "Tommy Fleetwood",
              "first_name": "Tommy",
              "last_name": "Fleetwood",
              "is_amateur": false,
              "gender": "male"
            }
          ],
          "score": 5,
          "holes_through": 6,
          "is_leader": true,
          "is_winner": false,
          "is_tied": false
        },
        {
          "team_id": 12345,
          "sr_team_id": "sr:competitor:12345",
          "squad_id": 32,
          "sr_squad_id": "sr:competitor:32",
          "players": [
            {
              "player_id": 33,
              "sr_player_id": "sr:competitor:33",
              "country": "USA",
              "display_name": "Scottie Scheffler",
              "first_name": "Scottie",
              "last_name": "Scheffler",
              "is_amateur": false,
              "gender": "male"
            }
          ],
          "score": -5,
          "holes_through": 6,
          "is_leader": false,
          "is_winner": false,
          "is_tied": false
        }
      ]
    }
  ],
  "tournament_score": [
    {
      "squad_name": "USA",
      "squad_id": 1245,
      "sr_squad_id": "sr:competitor:1245",
      "is_host": true,
      "score": 4.5,
      "score_to_win": 14.5
    },
    {
      "squad_name": "Europe",
      "squad_id": 12456,
      "sr_squad_id": "sr:competitor:12456",
      "is_host": false,
      "score": 5.5,
      "score_to_win": 14
    }
  }
}
```

{% endcode %}

### Field details

The REST response matches the payload used by the WebSocket version.

### WebSocket version

Use this endpoint to stream the current match play leaderboard.

The WebSocket message uses the state envelope.

The example below shows the `data.payload` object.

**URL:** `wss://{domain}/golf/stream/v1/tournaments/{tournament_id}/match-play-leaderboard`

### Path parameters

* `tournament_id`
  * type: integer
  * Tournament identifier.
  * example: `12345`

### Response example

{% code overflow="wrap" expandable="true" %}

```json
{
  "tournament_id": 12345,
  "sr_tournament_id": "sr:stage:12345",
  "tournament_status": "IN_PROGRESS",
  "current_round": 3,
  "timestamp": "2026-04-17T12:00:00Z",
  "round_statuses": [
    {
         "round_number": 1,
         "status": "ENDED"
      },
      {
         "round_number": 2,
         "status": "ENDED"
      },
      {
         "round_number": 3,
         "status": "IN_PROGRESS"
      },
      {
         "round_number": 4,
         "status": "NOT_STARTED"
      },
      {
         "round_number": 5,
         "status": "NOT_STARTED"
      }
  ],
  "matches": [
    {
      "match_id": 12345,
      "sr_match_id": "sr:match:12345",
      "course_id": 12345,
      "sr_course_id": "sr:venue:12345",
      "round_number": 2,
      "round_name": "Friday Foursomes",
      "match_status": "IN_PROGRESS",
      "start_hole": 1,
      "tee_time": "2026-04-17T13:10:00Z",
      "teams": [
        {
          "team_id": 22,
          "sr_team_id": "sr:competitor:22",
          "squad_id": 31,
          "sr_squad_id": "sr:competitor:31",
          "players": [
            {
              "player_id": 22,
              "sr_player_id": "sr:competitor:22",
              "country": "ENG",
              "display_name": "Tommy Fleetwood",
              "first_name": "Tommy",
              "last_name": "Fleetwood",
              "is_amateur": false,
              "gender": "male"
            }
          ],
          "score": 5,
          "holes_through": 6,
          "is_leader": true,
          "is_winner": false,
          "is_tied": false
        },
        {
          "team_id": 12345,
          "sr_team_id": "sr:competitor:12345",
          "squad_id": 32,
          "sr_squad_id": "sr:competitor:32",
          "players": [
            {
              "player_id": 33,
              "sr_player_id": "sr:competitor:33",
              "country": "USA",
              "display_name": "Scottie Scheffler",
              "first_name": "Scottie",
              "last_name": "Scheffler",
              "is_amateur": false,
              "gender": "male"
            }
          ],
          "score": -5,
          "holes_through": 6,
          "is_leader": false,
          "is_winner": false,
          "is_tied": false
        }
      ]
    }
  ],
  "tournament_score": [
    {
      "squad_name": "USA",
      "squad_id": 1245,
      "sr_squad_id": "sr:competitor:1245",
      "is_host": true,
      "score": 4.5,
      "score_to_win": 14.5
    },
    {
      "squad_name": "Europe",
      "squad_id": 12456,
      "sr_squad_id": "sr:competitor:12456",
      "is_host": false,
      "score": 5.5,
      "score_to_win": 14
    }
  }
}
```

{% endcode %}

{% hint style="info" %}
For the full WebSocket envelope, see [State (leaderboard, scoreboard, hole-by-hole)](/live-data/live-data-golf-api-design/ld-golf-api-documentation/state-leaderboard-scoreboard-hole-by-hole.md).
{% endhint %}

### Field details

| field                                         | type     | details                                          | required | IMGA equivalent   |
| --------------------------------------------- | -------- | ------------------------------------------------ | -------- | ----------------- |
| tournament\_id                                | Integer  | Unique tournament identifier                     | yes      | tournamentId      |
| sr\_tournament\_id                            | String   | SR format tournament ID                          | yes      | -                 |
| tournament\_status                            | String   | Tournament status (e.g., IN\_PROGRESS, ENDED)    | yes      | tournamentStatus  |
| current\_round                                | Integer  | Current round number                             | yes      | currentRound      |
| timestamp                                     | DateTime | Timestamp when feed was generated                | yes      | timestamp         |
| round\_statuses\[]                            | Array    | List of round status objects                     | yes      | roundStatuses     |
| round\_statuses\[].round\_number              | Integer  | Round number                                     | yes      | number            |
| round\_statuses\[].status                     | String   | Round status                                     | yes      | status            |
| matches\[]                                    | Array    | List of matches                                  | yes      | matches           |
| matches\[].match\_id                          | Integer  | Match unique ID                                  | yes      | matchNo           |
| matches\[].sr\_match\_id                      | String   | SR format match ID                               | no       | -                 |
| matches\[].course\_id                         | Integer  | Course ID                                        | yes      | courseId          |
| matches\[].sr\_course\_id                     | String   | SR format course ID                              | no       | -                 |
| matches\[].round\_number                      | Integer  | Round number of match                            | yes      | roundNo           |
| matches\[].round\_name                        | String   | Round name (e.g., Friday Foursomes)              | yes      | roundName         |
| matches\[].match\_status                      | String   | Match status (IN\_PROGRESS, ENDED, NOT\_STARTED) | yes      | matchStatus       |
| matches\[].start\_hole                        | Integer  | Starting hole                                    | yes      | startHole         |
| matches\[].tee\_time                          | DateTime | Tee time of match                                | yes      | teeTime           |
| matches\[].teams\[]                           | Array    | Teams in match                                   | yes      | teams             |
| matches\[].teams\[].team\_id                  | Integer  | Match-level team ID                              | yes      | teamNo            |
| matches\[].teams\[].sr\_team\_id              | String   | SR format team ID                                | no       | -                 |
| matches\[].teams\[].squad\_id                 | Integer  | Tournament squad ID                              | yes      | squadNo           |
| matches\[].teams\[].sr\_squad\_id             | String   | SR format squad ID                               | no       | -                 |
| matches\[].teams\[].players\[]                | Array    | Players in the team                              | yes      | players           |
| matches\[].teams\[].players\[].player\_id     | Integer  | Player ID                                        | yes      | id                |
| matches\[].teams\[].players\[].sr\_player\_id | String   | SR format player ID                              | no       | -                 |
| matches\[].teams\[].players\[].country        | String   | Country (ISO-3)                                  | yes      | country           |
| matches\[].teams\[].players\[].display\_name  | String   | Player display name                              | yes      | -                 |
| matches\[].teams\[].players\[].first\_name    | String   | First name                                       | yes      | firstName         |
| matches\[].teams\[].players\[].last\_name     | String   | Last name                                        | yes      | lastName          |
| matches\[].teams\[].players\[].is\_amateur    | Boolean  | Amateur flag                                     | yes      | -                 |
| matches\[].teams\[].players\[].gender         | String   | Gender                                           | yes      | -                 |
| matches\[].teams\[].score                     | Integer  | Current match play score (lead, e.g., +3 / -3)   | yes      | currentMatchScore |
| matches\[].teams\[].holes\_through            | Integer  | Number of holes completed                        | yes      | thru              |
| matches\[].teams\[].is\_leader                | Boolean  | Indicates if team is leading                     | yes      | matchLeader       |
| matches\[].teams\[].is\_winner                | Boolean  | Indicates if team won match                      | yes      | matchWinner       |
| matches\[].teams\[].is\_tied                  | Boolean  | Indicates if match is tied                       | yes      | isTied            |
| tournament\_score\[]                          | Array    | Overall tournament score per squad               | yes      | tournamentScores  |
| tournament\_score\[].squad\_name              | String   | Squad name (USA, Europe)                         | yes      | squadName         |
| tournament\_score\[].squad\_id                | Integer  | Squad ID                                         | yes      | squadNo           |
| tournament\_score\[].sr\_squad\_id            | String   | SR format squad ID                               | no       | -                 |
| tournament\_score\[].is\_host                 | Boolean  | Host indicator                                   | yes      | host              |
| tournament\_score\[].score                    | Decimal  | Current points total                             | yes      | score             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.sportradar.com/live-data/live-data-golf-api-design/ld-golf-api-documentation/state-leaderboard-scoreboard-hole-by-hole/match-play-leaderboard.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
